/**
* Responsive modifiers
* inspired by Tailwind CSS (https://tailwindcss.com)
*
* For example class="hidden sm:block" means "hidden on small screens and shown on larger screens".
*
* Breakpoints:
* sm: 640px;
* md: 768px;
* lg: 1024px;
* xl: 1280px;
*/

.hidden {
    display: none;
}

.block {
    display: block;
}

.inline-block {
    display: inline-block;
}

.flex {
    display: flex;
}

@media (min-width: 640px) {
    .sm\:hidden {
        display: none;
    }

    .sm\:block {
        display: block;
    }

    .sm\:inline-block {
        display: inline-block;
    }

    .sm\:flex {
        display: flex;
    }
}

@media (min-width: 768px) {
    .md\:hidden {
        display: none;
    }

    .md\:block {
        display: block;
    }

    .md\:inline-block {
        display: inline-block;
    }

    .md\:flex {
        display: flex;
    }
}

@media (min-width: 1024px) {
    .lg\:hidden {
        display: none;
    }

    .lg\:block {
        display: block;
    }

    .lg\:inline-block {
        display: inline-block;
    }

    .lg\:flex {
        display: flex;
    }
}

@media (min-width: 1280px) {
    .xl\:hidden {
        display: none;
    }

    .xl\:block {
        display: block;
    }

    .xl\:inline-block {
        display: inline-block;
    }

    .xl\:flex {
        display: flex;
    }
}

:target::before {
    content: "";
    display: block;
    height: 60px; /* fixed header height*/
    margin: -60px 0 0; /* negative fixed header height */
}


html {
    scroll-behavior: smooth;
}

body {
    background-color: white;
    margin: 0;
    padding: 0;
}

h1 {
    margin-top: 10px;
    margin-bottom: 2px;
}

h2 {
    margin-top: 20px;
    margin-bottom: 15px;
}

h3 {
    margin-top: 10px;
    margin-bottom: 6px;
}

p {
    margin: 10px 0;
}
